[P011]Simple Biblio

get
https://connect.patsnap.com/basic-patent-data/simple-bibliography

Receive patent basic bibliography data by patent_id or patent_number. For more details please view the full list of fields in the developer document.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

Name Type Example Description
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent_id
patent_number
stringUS11205304B2
patent_number

Response Schema

Structure of the API response data

Field Name Type Example Description
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
bibliographic_data
objectPlease check the form: BibliographicData
bibliographic data
parties
objectPlease check the form: PartiesSimple
applicant, assignee
assignees
arrayPlease check the form: PatentBasePersonSimple
current assignee
lang
stringEN
language
name
stringMAGIC LEAP, INC.
name
address
stringDania Beach,FL,US
address
sequence
integer<int32>1
sequence
inventors
arrayPlease check the form: PatentBasePersonSimple
inventor
applicants
arrayPlease check the form: PatentBasePersonSimple
applicant
abstracts
arrayPlease check the form: PatentAbstract
patent abstract
lang
stringEN
language
text
stringAn augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......
text
patent_type
stringPATENT
patent type:

APPLICATION (patent application),

PATENT (granted patent),

UTILITY (utility model),

DESIGN (industrial design)

invention_title
arrayPlease check the form: PatentTitleSimple
invention title
lang
stringEN
language
text
stringSystems and methods for rendering user interfaces for augmented or virtual reality
text
priority_claims
arrayPlease check the form: PatentBaseInfoSimple
claimed priority data
date
integer<int32>20211221
dates: publication, applicaton, priority .etc

YYYYMMDD format

country
stringUS
Authority
doc_number
string11205304
doc number
reference_cited
objectPlease check the form: ReferenceCited
citations
cited_others
array[ "鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012" ]
citation reference text
cited_patents
array[ "CN203027992U" ]
citation patent number
classification_data
objectPlease check the form: ClassificationData
classification data
classification_cpc
objectPlease check the form: ClassificationDoc
main CPC
main
stringG06Q40/025
main classification
further
array[ "H04L67/12" ]
further classification
classification_gbc
array[ "C3962" ]
GBC
classification_loc
array[ "12-10" ]
LOC classification
classification_ipcr
objectPlease check the form: ClassificationDoc
IPCR/IPC
application_reference
objectPlease check the form: ApplicationReference
application information
apno
stringCN201510570472.5
application number
date
integer<int32>20211221
dates: publication, applicaton, priority .etc

YYYYMMDD format

publication_reference
objectPlease check the form: PublicationReference
publication information
date
integer<int32>20211221
dates: publication, applicaton, priority .etc

YYYYMMDD format

kind
stringB2
kind code
country
stringUS
authority
doc_number
string106534228
doc number
pct_or_regional_filing_data
objectPlease check the form: PctOrRegionalFilingDataSimple
PCT filing information
date
integer<int32>20150507
PCT publication date
doc_number
string14/706838
PCT publication number
entry_date
integer<int32>20170812
PCT entry date
dates_of_public_availability
objectPlease check the form: DatesOfPublicAvailabilitySimple
grant information
printed_with_granted
integer<int32>20101022
Issue date
pct_or_regional_publishing_data
objectPlease check the form: PctOrRegionalPublishingData
PCT publication information
date
integer<int32>20211221
dates: publication, applicaton, priority .etc

YYYYMMDD format

number
string11205304
doc number
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "bibliographic_data": {
        "parties": {
          "assignees": [
            {
              "lang": "EN",
              "name": "MAGIC LEAP, INC.",
              "address": "Dania Beach,FL,US",
              "sequence": 1
            }
          ],
          "inventors": [
            {
              "lang": "EN",
              "name": "MAGIC LEAP, INC.",
              "address": "Dania Beach,FL,US",
              "sequence": 1
            }
          ],
          "applicants": [
            {
              "lang": "EN",
              "name": "MAGIC LEAP, INC.",
              "address": "Dania Beach,FL,US",
              "sequence": 1
            }
          ]
        },
        "abstracts": [
          {
            "lang": "EN",
            "text": "An augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......"
          }
        ],
        "patent_type": "PATENT",
        "invention_title": [
          {
            "lang": "EN",
            "text": "Systems and methods for rendering user interfaces for augmented or virtual reality"
          }
        ],
        "priority_claims": [
          {
            "date": 20211221,
            "country": "US",
            "doc_number": "11205304"
          }
        ],
        "reference_cited": {
          "cited_others": [
            "鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012"
          ],
          "cited_patents": [
            "CN203027992U"
          ]
        },
        "classification_data": {
          "classification_cpc": {
            "main": "G06Q40/025",
            "further": [
              "H04L67/12"
            ]
          },
          "classification_gbc": [
            "C3962"
          ],
          "classification_loc": [
            "12-10"
          ],
          "classification_ipcr": {
            "main": "G06Q40/025",
            "further": [
              "H04L67/12"
            ]
          }
        },
        "application_reference": {
          "apno": "CN201510570472.5",
          "date": 20211221
        },
        "publication_reference": {
          "date": 20211221,
          "kind": "B2",
          "country": "US",
          "doc_number": "106534228"
        },
        "pct_or_regional_filing_data": {
          "date": 20150507,
          "doc_number": "14/706838",
          "entry_date": 20170812
        },
        "dates_of_public_availability": {
          "printed_with_granted": 20101022
        },
        "pct_or_regional_publishing_data": {
          "date": 20211221,
          "number": "11205304"
        }
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error Code Description
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error Code Description
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status Code Description
0Success
401Unauthorized
403Forbidden
404Not Found